### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection.jndi

# Class JNDIConnectionFactoryConfiguration

java.lang.Object
com.sas.services.connection.ConnectionFactoryConfiguration
com.sas.services.connection.jndi.JNDIConnectionFactoryConfiguration

All Implemented Interfaces:
  `Cloneable`

@SASScope("ALL") @BinaryCompatibilityOnly public class JNDIConnectionFactoryConfiguration extends ConnectionFactoryConfiguration
A connection factory configuration that describes a server or a pool of servers to connect to using meta data in accessed through a JNDI interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JNDIConnectionFactoryConfiguration(DirContext context, String baseDN, String logicalName, String repositoryDomain)`
  Constructs a factory configuration that reads the information necessary to create connections to remote IOM objects from a JNDI repository.
  `JNDIConnectionFactoryConfiguration(DirContext context, String baseDN, String logicalName, String repositoryDomain, boolean userAuth, boolean adminAuth, boolean noPool)`
  This constructor is provided for compatibility with a previous release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `String`
  `getBaseDN()`
  `DirContext`
  `getContext()`
  `protected Hashtable`
  `getEnv()`
  `String`
  `getLogicalName()`
  `protected PasswordCredential`
  `getPrivLogin()`
  `String`
  `getRepositoryDomain()`
  `int`
  `hashCode()`
  `boolean`
  `isAdminAuth()`
  `boolean`
  `isNoPool()`
  `boolean`
  `isUserAuth()`
  `static String`
  `normalizeDN(String dn)`
  `protected void`
  `reconnect(CommunicationException ce)`
  `String`
  `toString()`

  ### Methods inherited from class com.sas.services.connection.ConnectionFactoryConfiguration

  `getKernel, getKernel, getKernel, getKernelFromDelegate, getLogicalServerName, isNoRedirect, kernelDestroyed`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JNDIConnectionFactoryConfiguration

    public JNDIConnectionFactoryConfiguration(DirContext context, String baseDN, String logicalName, String repositoryDomain)
    Constructs a factory configuration that reads the information necessary to create connections to remote IOM objects from a JNDI repository.
    Parameters:
      `context` - a connection to the root node of a JNDI repository that contains the values necessary to start a connection factory. The connection to the repository must have been made with the distinguished name and password of an entity that has read access to those values. This context is not closed when the factory is shutdown.
      `baseDN` - a partial JNDI distinguished name that defines the section within the repository naming hierarchy that contains the pooling information.
      `logicalName` - the value of the `sasLogicalName` attribute for all login definitions and server definitions under to the baseDN in the JNDI repository that contain information for this factory.
      `repositoryDomain` - the name of the domain assigned to the JNDI repository. Connection factories with this configuration will have this string in the list of domains returned by the getDomains() method in `ConnectionFactoryInterface`.

  - ### JNDIConnectionFactoryConfiguration

    public JNDIConnectionFactoryConfiguration(DirContext context, String baseDN, String logicalName, String repositoryDomain, boolean userAuth, boolean adminAuth, boolean noPool)
    This constructor is provided for compatibility with a previous release. Otherwise, it is rarely used.

- ## Method Details

  - ### getContext

    public DirContext getContext()

  - ### getBaseDN

    public String getBaseDN()

  - ### getLogicalName

    public String getLogicalName()

  - ### getRepositoryDomain

    public String getRepositoryDomain()

  - ### isUserAuth

    public boolean isUserAuth()

  - ### isAdminAuth

    public boolean isAdminAuth()

  - ### isNoPool

    public boolean isNoPool()

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `ConnectionFactoryConfiguration`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ConnectionFactoryConfiguration`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEnv

    protected Hashtable getEnv()

  - ### getPrivLogin

    protected PasswordCredential getPrivLogin()

  - ### reconnect

    protected void reconnect(CommunicationException ce) throws CommunicationException
    Throws:
      `CommunicationException`

  - ### normalizeDN

    public static String normalizeDN(String dn)